=== debian/control ===
Source: ros-kinetic-tf2-kdl
Section: misc
Priority: extra
Maintainer: Tully Foote <tfoote@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-kinetic-catkin (>= 0.5.68), ros-kinetic-cmake-modules, ros-kinetic-orocos-kdl, ros-kinetic-rostest, ros-kinetic-tf2, ros-kinetic-tf2-ros
Homepage: http://ros.org/wiki/tf2
Standards-Version: 3.9.2

Package: ros-kinetic-tf2-kdl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-kinetic-orocos-kdl, ros-kinetic-tf2, ros-kinetic-tf2-ros
Description: KDL binding for tf2
